Package com.sas.lsaf.workflow.processflow

## Class ProcessFlowQuery

- java.lang.Object
- - com.sas.lsaf.workflow.processflow.ProcessFlowQuery

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ProcessFlowQuery
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the criteria to query the process flows.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessFlowQuery()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getContextPath()` | Gets the process flow context path to query.
    `CreationMethod` | `getCreationMethod()` | Gets the process flow creation method to query.
    `java.util.Date` | `getFromLastModified()` | Gets the start date of the range to query process flow last modified date.
    `java.lang.String` | `getLastModifiedBy()` | Gets the userId of the user who last modified the process flow.
    `java.lang.String` | `getName()` | Gets the process flow name to query.
    `java.lang.String` | `getOwner()` | Gets the process flow owner to query.
    `java.lang.String` | `getProcessDefinitionKey()` | Gets the process flow definition key in which to query process flows.
    `ProcessFlowDescriptor.FlowStatus` | `getStatus()` | Gets the status of the process flow in which to query.
    `java.util.Date` | `getToLastModified()` | Gets the end date of the range to query process flow last modified date.
    `void` | `setContextPath​(java.lang.String contextPath)` | Sets the process flow context path to query.
    `void` | `setCreationMethod​(CreationMethod creationMethod)` | Sets the process flow creation method to query.
    `void` | `setFromLastModified​(java.util.Date fromLastModified)` | Sets the start date of the range to query process flow last modified date.
    `void` | `setLastModifiedBy​(java.lang.String lastModifiedBy)` | Sets the userId of the user who last modified the process flow.
    `void` | `setName​(java.lang.String name)` | Sets the process flow name to query.
    `void` | `setOwner​(java.lang.String owner)` | Sets the process flow owner to query.
    `void` | `setProcessDefinitionKey​(java.lang.String processDefinitionKey)` | Sets the process flow definition key in which to query process flows.
    `void` | `setStatus​(ProcessFlowDescriptor.FlowStatus status)` | Sets the status of the process flow in which to query.
    `void` | `setToLastModified​(java.util.Date toLastModified)` | Sets the end date of the range to query process flow last modified date.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessFlowQuery

          public ProcessFlowQuery()

      Constructor.

  - ### Method Detail

    - #### getStatus

          public ProcessFlowDescriptor.FlowStatus getStatus()

      Gets the status of the process flow in which to query.
      Returns:
        The status.

    - #### setStatus

          public void setStatus​(ProcessFlowDescriptor.FlowStatus status)

      Sets the status of the process flow in which to query.
      Parameters:
        `status` - The status of the process flow in which to query.

    - #### getName

          public java.lang.String getName()

      Gets the process flow name to query.
      Returns:
        The process flow name.

    - #### setName

          public void setName​(java.lang.String name)

      Sets the process flow name to query.
      Parameters:
        `name` - The process flow name to query.

    - #### getContextPath

          public java.lang.String getContextPath()

      Gets the process flow context path to query.
      Returns:
        The context path.

    - #### setContextPath

          public void setContextPath​(java.lang.String contextPath)

      Sets the process flow context path to query.
      Parameters:
        `contextPath` - The context path.

    - #### getProcessDefinitionKey

          public java.lang.String getProcessDefinitionKey()

      Gets the process flow definition key in which to query process flows. Process flows that were created from that process flow definition are returned in the query results.
      Returns:
        The process flow definition key.

    - #### setProcessDefinitionKey

          public void setProcessDefinitionKey​(java.lang.String processDefinitionKey)

      Sets the process flow definition key in which to query process flows. Any process flows that were created from that process flow definition are returned in the query results.
      Parameters:
        `processDefinitionKey` - The process flow definition key in which to query process flows.

    - #### getOwner

          public java.lang.String getOwner()

      Gets the process flow owner to query.
      Returns:
        The process flow owner.

    - #### setOwner

          public void setOwner​(java.lang.String owner)

      Sets the process flow owner to query.
      Parameters:
        `owner` - The process flow owner to query.

    - #### getLastModifiedBy

          public java.lang.String getLastModifiedBy()

      Gets the userId of the user who last modified the process flow.
      Returns:
        The userId of the user who last modified the process flow.

    - #### setLastModifiedBy

          public void setLastModifiedBy​(java.lang.String lastModifiedBy)

      Sets the userId of the user who last modified the process flow. Supports wild cards.
      Parameters:
        `lastModifiedBy` - The userId of the user who last modified the process flow.

    - #### getFromLastModified

          public java.util.Date getFromLastModified()

      Gets the start date of the range to query process flow last modified date.
      Returns:
        The start date.

    - #### setFromLastModified

          public void setFromLastModified​(java.util.Date fromLastModified)

      Sets the start date of the range to query process flow last modified date.
      Parameters:
        `fromLastModified` - The start date of the range to query process flow last modified date.

    - #### getToLastModified

          public java.util.Date getToLastModified()

      Gets the end date of the range to query process flow last modified date.
      Returns:
        The end date.

    - #### setToLastModified

          public void setToLastModified​(java.util.Date toLastModified)

      Sets the end date of the range to query process flow last modified date.
      Parameters:
        `toLastModified` - The end date of the data range to query process flow last modified date.

    - #### getCreationMethod

          public CreationMethod getCreationMethod()

      Gets the process flow creation method to query.
      Returns:
        The creation method.

    - #### setCreationMethod

          public void setCreationMethod​(CreationMethod creationMethod)

      Sets the process flow creation method to query.
      Parameters:
        `creationMethod` - The process flow creation method to query.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`